Bug 701180 - RFE: LXDM could be Fedora branded
RFE: LXDM could be Fedora branded
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-01 17:53 EDT by Miro Hrončok
Modified: 2013-01-11 13:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:47:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The very concept of Fedora LXDM theme (25.38 KB, application/zip)
2011-05-01 17:55 EDT, Miro Hrončok
no flags Details

  None (edit)
Description Miro Hrončok 2011-05-01 17:53:39 EDT
LXDM in Fedora 14 is not branded. It could be in futher releases. LXDM is themable so I've made a little improvment to the default "Industrial" theme and saved it as "Fedora". The folder belong to /usr/share/lxdm/themes/.

To activate, edit /etc/lxdm/lxdm.conf (theme=Fedora).

Please consider it is a draft.

Icons are from GNOME Colors (GNU GPL v2) http://code.google.com/p/gnome-colors/

Version-Release number of selected component (if applicable): Doesn't metter.
  
Actual results:
LXDM is not Fedora branded.

Expected results:
LXDM should be Fedora branded.

Additional info:
Didn't know where else to post it, so I have filled this Bug Report.
Comment 1 Miro Hrončok 2011-05-01 17:55:18 EDT
Created attachment 496129 [details]
The very concept of Fedora LXDM theme
Comment 2 Christoph Wickert 2011-05-01 18:17:55 EDT
Thanks for your suggestion. I had thought about this, too, but I never found the time too look into this deeper because there are some problems.

Fedora branded artwork must be included in the fedora-logos package. The reason for this is copyright on the one hand and on the other we want to allow other downstream distributions and Fedora Remixes to easy re-brand Fedora. Installing system-logos instead of fedora-logos should provide a fully de-branded distribution.

This being said login.png from your draft cannot be included in LXDM but must be included in fedora-logos. This can easily be done, but then we also need to also provide a fallback in the system-logos package.

If you want to work on this, you are welcome. I am very busy ATM and as we are already past beta-freeze, this wont make it for Fedora 15 anyway.
Comment 3 Miro Hrončok 2011-05-01 18:48:58 EDT
(In reply to comment #2)
> If you want to work on this, you are welcome. I am very busy ATM and as we are
> already past beta-freeze, this wont make it for Fedora 15 anyway.
So Fedora 16 then :)

I will look at the theme deeper, provide fallback logo and so. After, you can do the magic stuff (push it to the packages), whenever you've got time. As it is for F16, there's no reason to hurry :)

Do I understand it right? Login.png should be a symblink to some place where is rather Fedora logo of proper size or the original login.png or LXDE logo or whatever?

The name of the theme could be different, if Fedora world is also tricky.
Comment 4 Christoph Wickert 2011-05-01 20:00:16 EDT
(In reply to comment #3)
> Do I understand it right? Login.png should be a symblink to some place where is
> rather Fedora logo of proper size or the original login.png or LXDE logo or
> whatever?

Either a symbolic link or the file would be included in one of the logos package directly. I guess for fedora-logos it should be the Fedora logo and for system-logos a LXDE one.

> The name of the theme could be different, if Fedora world is also tricky.

Using "fedora" is not that evil, however we try to use things like "distributor" or such.
Comment 5 Fedora End Of Life 2012-08-07 15:47:33 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christoph Wickert 2012-08-31 06:51:00 EDT
Reopening the bug and upgrading it to rawhide so it doesn't get closed again. However I am still unsure if branding and de-branding are really possible.
Comment 7 Miro Hrončok 2013-01-11 13:19:14 EST
I am no longer interested in this. Feel free to work on it or close it.

Note You need to log in before you can comment on or make changes to this bug.